<?php

function db_connect() {
	global $db_user, $db_password, $db_name, $db_port, $db_host;

	$db=pg_connect("dbname={$db_name} port={$db_port} user={$db_user} password={$db_password} host={$db_host}");
	if(!$db) return false;
	pg_query($db, "begin");
	pg_query($db, "set client_encoding to 'UTF-8'");
	pg_query($db, "set datestyle to german");
	return $db;
}

function db_close($db) {
	pg_query($db,"commit");
	pg_close($db);
}
	
function db_query($db,$query) {
	if (!($res=pg_query($db,$query))) {
		echo pg_last_error($db);
		die ("<p align=justify>Error query:<br>{$query}</p>");
	}
	return $res;
}

function db_fetch($res) { return pg_fetch_assoc($res); }

function db_fetch_array($res) { return pg_fetch_array($res); }

function db_fetch_all($res) { return pg_fetch_all($res); }

function db_num_rows($res) { return pg_num_rows($res); }

?>