<?php

include "config.php";
include "dbresource.php";

$db=db_connect();
$res=db_query($db,"create table {$tablename_prefix}control_code (
uniq serial primary key,
good_time timestamp default now()+interval '{$ses_long}',
code integer,
code_md5 int8);
create index {$tablename_prefix}control_code_good_time ON {$tablename_prefix}control_code(good_time);
create index {$tablename_prefix}control_code_code_md5 ON {$tablename_prefix}control_code(code_md5);

CREATE FUNCTION {$tablename_prefix}control_code_del_old_ses()
RETURNS \"trigger\" AS
'
begin
delete from {$tablename_prefix}control_code where good_time<current_timestamp;
return NEW;
end;
'
LANGUAGE 'plpgsql' VOLATILE;

CREATE TRIGGER {$tablename_prefix}control_code_before_insert
  BEFORE INSERT
  ON {$tablename_prefix}control_code
  FOR EACH ROW
  EXECUTE PROCEDURE {$tablename_prefix}control_code_del_old_ses();
");

db_close($db);

?>